fn main() {
    let s1 = String::from("witaj");

    let (s2, len) = calculate_length(s1);

    println!("Długość '{}' to {}.", s2, len);
}

fn calculate_length(s: String) -> (String, usize) {
    let length = s.len(); // len() zwraca długość wartości String

    (s, length)
}
